rem This file is created using Dr.Batcher
rem http://www.m-w-c-s.com

@Echo Off
For %%a In (*.txt) Do @Call :Rena %%a %%~ta
GoTo :EOF
 
:Rena
Set f_Name=%1
Set f_Date=%2
Set f_Time=%3
Set f_Day=%f_Date:~0,2%
Set f_Month=%f_Date:~3,2%
Set f_Year=%f_Date:~6,4%
Set f_Hour=%f_Time:~0,2%
Set f_Min=%f_Time:~3,2%
Ren %F_Name% %f_Year%_%f_Month%_%f_Day%_%f_Hour%_%f_Min%.txt
GoTo :EOF
 